Bug 531664 - Missing dependencies: gstreamer-plugins-good
Summary: Missing dependencies: gstreamer-plugins-good
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quodlibet
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-29 03:32 UTC by lexual
Modified: 2009-11-24 07:42 UTC (History)
1 user (show)

Fixed In Version: 2.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:42:12 UTC


Attachments (Terms of Use)

Description lexual 2009-10-29 03:32:32 UTC
Description of problem:
Quodlibet fails to run if gstreamer-plugins-good is not installed.
gstreamer-plugins-good should be added as a dependency to quodlibet

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Run quodlibet
2.
3.
  
Actual results:
$ quodlibet
Initializing audio backend (gstbe)
Initializing main library (~/.quodlibet/songs)
Supported formats: mod, mp3, mp4, mpc, spc, trueaudio, wav, wavpack, wma, xiph
0:00:00.136632029  3456  0x9d52c80 ERROR           GST_PIPELINE ./grammar.y:604:_gst_parse_yyparse: no element "gconfaudiosink"
0:00:00.136690970  3456  0x9d52c80 ERROR           GST_PIPELINE ./grammar.y:872:_gst_parse_launch: Unrecoverable syntax error while parsing pipeline gconfaudiosink profile = music
0:00:00.136759961  3456  0x9d52c80 ERROR           GST_PIPELINE ./grammar.y:604:_gst_parse_yyparse: no element "autoaudiosink"
0:00:00.136782308  3456  0x9d52c80 ERROR           GST_PIPELINE ./grammar.y:872:_gst_parse_launch: Unrecoverable syntax error while parsing pipeline autoaudiosink


Expected results:
Quodlibet runs and plays my music.

Additional info:

Comment 1 Fedora Update System 2009-10-29 18:45:38 UTC
quodlibet-2.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/quodlibet-2.1-3.fc11

Comment 2 Fedora Update System 2009-11-04 12:24:15 UTC
quodlibet-2.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update quodlibet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10965

Comment 3 Fedora Update System 2009-11-24 07:42:08 UTC
quodlibet-2.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.